Package com.sun.grid.ca

# Class InitCAParameters

java.lang.Object
com.sun.grid.ca.InitCAParameters

All Implemented Interfaces:
  `Serializable`

public class InitCAParameters extends Object implements Serializable
This class hold the parameters for Certificate Authority

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`InitCAParameters.ParamDef`
Defines a parameter for the init ca command.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final InitCAParameters.ParamDef`
`ADMIN_EMAIL`
Definition of the admin email address parameter
`static final InitCAParameters.ParamDef`
`COUNTRY`
Definition of the country parameter
`static final InitCAParameters.ParamDef`
`LOCATION`
Definition of the location parameter
`static final InitCAParameters.ParamDef`
`ORG`
Definition of the organisation parameter
`static final InitCAParameters.ParamDef`
`ORG_UNIT`
Definition of the organisation unit parameter
`static final InitCAParameters.ParamDef`
`STATE`
Definition of the state parameter

## Constructor Summary

Constructors
Constructor
Description
`InitCAParameters()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAdminEmailAddress()`
Get the email address of the ca adminstrator
`String`
`getCountry()`
Get the country of the ca.
`String`
`getLocation()`
Get the location of the ca.
`String`
`getOrganization()`
Get the organization of the ca.
`String`
`getOrganizationUnit()`
Get the organization unit of the ca.
`String`
`getState()`
Get the state of the ca.
`static InitCAParameters`
`queryNewInstance(CallbackHandler callbackHandler)`
Query the values for a init ca command.
`void`
`setAdminEmailAddress(String adminEmailAddress)`
Set the email address of the ca adminstrator
`void`
`setCountry(String country)`
Set the country of the ca (e.g.
`void`
`setLocation(String location)`
Set the location of the ca (e.g.
`void`
`setOrganization(String organization)`
Set the organization of the ca.
`void`
`setOrganizationUnit(String organizationUnit)`
Set the organization unit of the ca.
`void`
`setState(String state)`
Set the state of the ca (e.g.
`void`
`validate()`
Validate the `InitCAParameters`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### COUNTRY

public static final InitCAParameters.ParamDef COUNTRY
Definition of the country parameter

### STATE

public static final InitCAParameters.ParamDef STATE
Definition of the state parameter

### LOCATION

public static final InitCAParameters.ParamDef LOCATION
Definition of the location parameter

### ORG

public static final InitCAParameters.ParamDef ORG
Definition of the organisation parameter

### ORG_UNIT

public static final InitCAParameters.ParamDef ORG_UNIT
Definition of the organisation unit parameter

### ADMIN_EMAIL

public static final InitCAParameters.ParamDef ADMIN_EMAIL
Definition of the admin email address parameter

## Constructor Details

### InitCAParameters

public InitCAParameters()

## Method Details

### queryNewInstance

public static InitCAParameters queryNewInstance(CallbackHandler callbackHandler) throws IOException, UnsupportedCallbackException
Query the values for a init ca command.

Parameters:
  `callbackHandler` - the callback handler which is used to query the values
Returns:
  the `InitCAParameters` object with the queried values
Throws:
  `IOException` - if the callback handler throws a IOException
  `UnsupportedCallbackException` - if the the callback handler does not support `NameCallback` or `TextOutputCallback`

### getCountry

public String getCountry()
Get the country of the ca.

Returns:
  the country of the ca

### setCountry

public void setCountry(String country) throws GridCAException
Set the country of the ca (e.g. Germany)

Parameters:
  `country` - country of the ca (exact two characters)
Throws:
  `GridCAException` - if `country` is not valid

### getState

public String getState()
Get the state of the ca.

Returns:
  the state of the ca

### setState

public void setState(String state) throws GridCAException
Set the state of the ca (e.g. Bayern)

Parameters:
  `state` - state of the ca (at least one char)
Throws:
  `GridCAException` - if `state` is not valid

### getLocation

public String getLocation()
Get the location of the ca.

Returns:
  the location of the ca

### setLocation

public void setLocation(String location) throws GridCAException
Set the location of the ca (e.g. city)

Parameters:
  `location` - location of the ca (at least one char)
Throws:
  `GridCAException` - if `location` is not valid

### getOrganization

public String getOrganization()
Get the organization of the ca.

Returns:
  the organization of the ca

### setOrganization

public void setOrganization(String organization) throws GridCAException
Set the organization of the ca.

Parameters:
  `organization` - organization of the ca (at least one char)
Throws:
  `GridCAException` - if `organization` is not valid

### getOrganizationUnit

public String getOrganizationUnit()
Get the organization unit of the ca.

Returns:
  the organization unit of the ca

### setOrganizationUnit

public void setOrganizationUnit(String organizationUnit) throws GridCAException
Set the organization unit of the ca.

Parameters:
  `organizationUnit` - organization unit of the ca (at least one char)
Throws:
  `GridCAException` - if `organizationUnit` is not valid

### getAdminEmailAddress

public String getAdminEmailAddress()
Get the email address of the ca adminstrator

Returns:
  the email address of the ca adminstrator

### setAdminEmailAddress

public void setAdminEmailAddress(String adminEmailAddress) throws GridCAException
Set the email address of the ca adminstrator

Parameters:
  `adminEmailAddress` - email address of the ca adminstrator (at least one char)
Throws:
  `GridCAException` - if `adminEmailAddress` is not valid

### validate

public void validate() throws GridCAException
Validate the `InitCAParameters`

Throws:
  `GridCAException` - if the parameters are not valid